D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

Plugins Resource

GET /plugins

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
Response Body
media type data type description
application/json array of PluginDescriptor (JSON)

Example

Request
GET /srv/plugins
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
[ {
  "id" : "...",
  "description" : "...",
  "label" : "...",
  "type" : "...",
  "version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  }
} ]
                
              

GET /plugins/{pluginID}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
pluginID path
Response Body
media type data type description
application/json PluginDescriptor (JSON)

Example

Request
GET /srv/plugins/{pluginID}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "id" : "...",
  "description" : "...",
  "label" : "...",
  "type" : "...",
  "version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  }
}